
import ossl.util as util
import bpy, ossl.menu as menu

class OSSL_MT_Pool(menu.MenuFolder):
    bl_label = "OSSL Menu Pool"
    bl_idname = "OSSL_MT_Pool"

def OSSL_menu_Pool(self, comtext):
    self.layout.menu("OSSL_MT_Pool", text="Pool", icon="DOCUMENTS")

def register():
    print("registering: OSSL Pool Types")
    bpy.utils.register_class(OSSL_MT_Pool)
    bpy.types.TOPBAR_MT_OSSL.append(OSSL_menu_Pool)
    util.imports("ossl.types.Pool", "Spring")
    print("registered: OSSL Pool Types")

def unregister():
    print("unregistering: OSSL Pool Types")
    util.release("ossl.types.Pool", "Spring")
    bpy.types.TOPBAR_MT_OSSL.remove(OSSL_menu_Pool)
    bpy.utils.unregister_class(OSSL_MT_Pool)
    print("unregistered: OSSL Pool Types")

if __name__ == "__main__":
    import ossl.util as util
    util.reset_addon()
